import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **徽标**-一般用于消息提醒
 */
var Badge = /** @class */ (function (_super) {
    tslib_1.__extends(Badge, _super);
    function Badge() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Badge.prototype.render = function () {
        var _a;
        var _b = this.props, className = _b.className, style = _b.style, count = _b.count, showZero = _b.showZero, dotted = _b.dotted, max = _b.max, children = _b.children, otherProps = tslib_1.__rest(_b, ["className", "style", "count", "showZero", "dotted", "max", "children"]);
        var preCls = 'yoshino-badge';
        var clsName = classNames((_a = {},
            _a[preCls + "-dot"] = !!dotted,
            _a[preCls + "-count"] = !dotted,
            _a[preCls + "-position"] = !!children,
            _a), className);
        return (React.createElement("div", { className: preCls },
            children,
            React.createElement("span", tslib_1.__assign({ className: clsName, style: style }, otherProps), !!dotted ? null : (count >= max ? max + "+" : count))));
    };
    Badge.defaultProps = {
        max: 99,
        showZero: false,
        dotted: false,
        count: 0,
    };
    return Badge;
}(Component));
export { Badge };
export default Badge;
//# sourceMappingURL=Badge.js.map