import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **面包屑导航**-显示网站的层级结构，告知用户当前所在位置，以及在需要向上级导航时使用。
 */
var BreadcrumbItem = /** @class */ (function (_super) {
    tslib_1.__extends(BreadcrumbItem, _super);
    function BreadcrumbItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BreadcrumbItem.prototype.render = function () {
        var _a = this.props, className = _a.className, style = _a.style, otherProps = tslib_1.__rest(_a, ["className", "style"]);
        var preCls = 'yoshino-breadcrumb-item';
        var clsName = classNames(preCls, className);
        return (React.createElement("span", tslib_1.__assign({ className: clsName, style: style }, otherProps), this.props.children));
    };
    return BreadcrumbItem;
}(Component));
export { BreadcrumbItem };
export default BreadcrumbItem;
//# sourceMappingURL=BreadcrumbItem.js.map