import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **卡片**-用于展示一些块状信息
 */
var Card = /** @class */ (function (_super) {
    tslib_1.__extends(Card, _super);
    function Card() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Card.prototype.render = function () {
        var _a;
        var _b = this.props, className = _b.className, style = _b.style, title = _b.title, extra = _b.extra, border = _b.border, shadow = _b.shadow, otherProps = tslib_1.__rest(_b, ["className", "style", "title", "extra", "border", "shadow"]);
        var preCls = 'yoshino-card';
        var cardCls = (_a = {},
            _a[preCls + "-border"] = border,
            _a[preCls + "-shadow"] = shadow,
            _a);
        var clsName = classNames(preCls, cardCls, className);
        return (React.createElement("div", tslib_1.__assign({ className: clsName, style: style }, otherProps),
            React.createElement("div", { className: preCls + "-head" },
                React.createElement("div", { className: preCls + "-title" }, title),
                extra ? React.createElement("div", { className: preCls + "-extra" }, extra) : null),
            React.createElement("div", { className: preCls + "-body" }, this.props.children)));
    };
    Card.defaultProps = {
        border: true,
        shadow: false,
    };
    return Card;
}(Component));
export { Card };
export default Card;
//# sourceMappingURL=Card.js.map