import { Component } from 'react';
import { IBaseComponent } from '../template/component';
export interface IRowProps extends IBaseComponent {
    align?: 'top' | 'middle' | 'bottom';
    gutter?: number;
    justify?: 'start' | 'end' | 'center' | 'space-around' | 'space-between';
    type?: 'flex';
}
export interface IRowState {
    screens: {
        [index: string]: any;
    };
}
/**
 * **组件中文名称**-组件描述。
 */
export declare class Row extends Component<IRowProps, IRowState> {
    preCls: string;
    static defaultProps: {
        type: string;
        gutter: number;
        justify: string;
        align: string;
    };
    render(): JSX.Element;
}
export default Row;
