import { Component } from 'react';
import { IBaseComponent, TKey } from '../template/component';
export interface IMenuItemProps extends IBaseComponent {
    /**
     * 组件深度 - 用于控制paddingLeft
     */
    deep?: number;
    /**
     * 唯一id
     */
    keyId?: TKey;
    /**
     * 禁用
     */
    disabled?: boolean;
    ctx?: any;
}
export interface IMenuItemState {
}
/**
 * **菜单**-提供导航功能
 */
export declare class MenuItem extends Component<IMenuItemProps, IMenuItemState> {
    static defaultProps: {
        disabled: boolean;
    };
    onSelect: () => void;
    render(): JSX.Element;
}
export default MenuItem;
