import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **菜单**-提供导航功能
 */
var MenuItemGroup = /** @class */ (function (_super) {
    tslib_1.__extends(MenuItemGroup, _super);
    function MenuItemGroup() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MenuItemGroup.prototype.render = function () {
        var _a = this.props, className = _a.className, style = _a.style, children = _a.children, deep = _a.deep, title = _a.title, ctx = _a.ctx;
        var offset = ctx.offset, mode = ctx.mode;
        var preCls = 'yoshino-menu-item-group';
        var clsName = classNames(preCls, className);
        var isVertical = mode === 'vertical';
        var paddingLeft = isVertical ? deep * offset + "px" : '';
        return (React.createElement("div", { className: clsName, style: style },
            React.createElement("div", { className: preCls + "-title", style: { paddingLeft: paddingLeft } }, title),
            React.createElement("ul", { className: preCls + "-list" }, 
            // tslint:disable
            React.Children.map(children, function (child) {
                return React.cloneElement(child, {
                    deep: deep + 1,
                    ctx: ctx,
                    keyId: child.key
                });
            }))));
    };
    MenuItemGroup.defaultProps = {};
    return MenuItemGroup;
}(Component));
export { MenuItemGroup };
export default MenuItemGroup;
//# sourceMappingURL=MenuItemGroup.js.map