import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
import Icon from '../Icon';
/**
 * **组件中文名称**-组件描述。
 */
var Option = /** @class */ (function (_super) {
    tslib_1.__extends(Option, _super);
    function Option() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (value) {
            var _a = _this.props, disabled = _a.disabled, ctx = _a.ctx;
            if (ctx && !disabled) {
                var onChange = ctx.onChange;
                onChange(value);
            }
        };
        return _this;
    }
    Option.prototype.render = function () {
        var _this = this;
        var _a;
        var _b = this.props, className = _b.className, style = _b.style, children = _b.children, onChange = _b.onChange, value = _b.value, disabled = _b.disabled, ctx = _b.ctx, otherProps = tslib_1.__rest(_b, ["className", "style", "children", "onChange", "value", "disabled", "ctx"]);
        var preCls = 'yoshino-select-option';
        var values = ctx.value;
        var isChoosed = Array.isArray(values) && values.indexOf(value) !== -1;
        var clsName = classNames(preCls, className, (_a = {},
            _a[preCls + "-disabled"] = disabled,
            _a[preCls + "-choosed"] = isChoosed,
            _a));
        return (React.createElement("li", tslib_1.__assign({ className: clsName, style: style }, otherProps, { onClick: function () { return _this.onChange(value); } }),
            children,
            React.createElement(Icon, { className: preCls + "-icon", type: 'md-checkmark' })));
    };
    Option.defaultProps = {};
    Option.displayName = 'Option';
    return Option;
}(Component));
export { Option };
export default Option;
//# sourceMappingURL=Option.js.map