import { Component } from 'react';
export interface IProps {
    children: any;
    boxClass?: string;
    callBack?: () => void;
    mount?: boolean;
    zIndex?: number;
    style?: React.CSSProperties;
}
export interface IStatus {
}
export declare class RenderInRootDom extends Component<IProps, IStatus> {
    box: HTMLElement;
    renderFlag: boolean;
    static defaultProps: {
        mount: boolean;
        zIndex: number;
    };
    renderChild: () => void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    _renderLayer(): void;
    render(): null;
}
