import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
import Transitions from '../Transitions';
var Slide = Transitions.Slide;
/**
 * **组件中文名称**-组件描述。
 */
var Drawer = /** @class */ (function (_super) {
    tslib_1.__extends(Drawer, _super);
    function Drawer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Drawer.prototype.render = function () {
        var _a = this.props, className = _a.className, style = _a.style, diretion = _a.diretion, open = _a.open, width = _a.width, zIndex = _a.zIndex, children = _a.children, otherProps = tslib_1.__rest(_a, ["className", "style", "diretion", "open", "width", "zIndex", "children"]);
        var preCls = 'yoshino-drawer';
        var clsName = classNames(preCls, className, preCls + "-" + diretion);
        return (React.createElement(Slide, { active: open, timeout: 300, direction: diretion },
            React.createElement("div", tslib_1.__assign({ className: clsName, style: tslib_1.__assign({ width: width,
                    zIndex: zIndex }, style) }, otherProps), children)));
    };
    Drawer.defaultProps = {
        width: 256,
        zIndex: 100,
    };
    return Drawer;
}(Component));
export { Drawer };
export default Drawer;
//# sourceMappingURL=Drawer.js.map