import { Component } from 'react';
import * as React from 'react';
import { IBaseComponent } from '../template/component';
export interface IClickOutsideProps extends IBaseComponent {
    clickOutside: () => void;
    clickInside?: () => void;
    /**
     * 例外
     */
    excludes?: Element[];
}
export interface IClickOutsideState {
}
export declare class ClickOutside extends Component<IClickOutsideProps, IClickOutsideState> {
    refChildren: HTMLElement;
    clickHandle: (e: MouseEvent) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactElement<any>;
}
export default ClickOutside;
