import { Component } from 'react';
import * as React from 'react';
import { IBaseComponent, TKey } from '../template/component';
export interface ISubMenuProps extends IBaseComponent {
    /**
     * 组件深度 - 用于控制paddingLeft
     */
    deep?: number;
    /**
     * 标题
     */
    title: string | React.ReactNode;
    /**
     * 标志
     */
    keyId?: TKey;
    /**
     * 禁用
     */
    disabled?: boolean;
    ctx?: any;
}
export interface ISubMenuState {
    childMenuVisible: boolean;
}
/**
 * **菜单**-提供导航功能
 */
export declare class SubMenu extends Component<ISubMenuProps, ISubMenuState> {
    static defaultProps: {
        disabled: boolean;
    };
    state: {
        childMenuVisible: boolean;
    };
    onOpenChange: () => void;
    render(): JSX.Element;
}
export default SubMenu;
