import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **组件中文名称**-组件描述。
 */
var OptionGroup = /** @class */ (function (_super) {
    tslib_1.__extends(OptionGroup, _super);
    function OptionGroup() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    OptionGroup.prototype.render = function () {
        var _a = this.props, className = _a.className, style = _a.style, children = _a.children, label = _a.label, onChange = _a.onChange, ctx = _a.ctx, otherProps = tslib_1.__rest(_a, ["className", "style", "children", "label", "onChange", "ctx"]);
        var preCls = 'yoshino-select-option-group';
        var clsName = classNames(preCls, className);
        return (React.createElement("li", tslib_1.__assign({ className: clsName, style: style }, otherProps),
            React.createElement("div", { className: preCls + "-title" }, label),
            React.createElement("ul", null, React.Children.map(children, function (ele) {
                return React.cloneElement(ele, {
                    ctx: ctx,
                });
            }))));
    };
    OptionGroup.defaultProps = {};
    OptionGroup.displayName = 'OptionGroup';
    return OptionGroup;
}(Component));
export { OptionGroup };
export default OptionGroup;
//# sourceMappingURL=OptGroup.js.map