import { Component } from 'react';
import * as React from 'react';
import { IBaseComponent } from '../template/component';
export interface ISkeletonProps extends IBaseComponent {
    /**
     * 加载态
     */
    loading?: boolean;
    /**
     * 是否带动画效果
     */
    active?: boolean;
    /**
     * 段落占位图
     */
    rows?: number | React.CSSProperties[];
    /**
     * 最后一行宽度
     */
    lastWidth?: number | string;
}
export interface ISkeletonState {
}
/**
 * **组件中文名称**-组件描述。
 */
export declare class Skeleton extends Component<ISkeletonProps, ISkeletonState> {
    preCls: string;
    static defaultProps: {
        rows: number;
        lastWidth: string;
        loading: boolean;
    };
    createLi: (rows: number, width?: string | number | undefined) => JSX.Element[];
    render(): JSX.Element;
}
export default Skeleton;
