import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **组件中文名称**-组件描述。
 */
var Pane = /** @class */ (function (_super) {
    tslib_1.__extends(Pane, _super);
    function Pane() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Pane.prototype.render = function () {
        var _a;
        var _b = this.props, className = _b.className, style = _b.style, name = _b.name, active = _b.active, disabled = _b.disabled, children = _b.children, onChange = _b.onChange, otherProps = tslib_1.__rest(_b, ["className", "style", "name", "active", "disabled", "children", "onChange"]);
        var preCls = 'yoshino-tabs-pane';
        var clsName = classNames(preCls, className, (_a = {}, _a[preCls + "-disabled"] = disabled, _a));
        return (React.createElement("div", tslib_1.__assign({ className: clsName, style: style }, otherProps), children));
    };
    Pane.defaultProps = {};
    return Pane;
}(Component));
export { Pane };
export default Pane;
//# sourceMappingURL=Pane.js.map