import * as React from 'react';
export interface IProps {
    /**
     * 默认提示文本
     */
    placeholder?: string;
    /**
     * 值
     */
    value: string;
    /**
     * 值变化回调
     */
    onChange: (v: string) => void;
    /**
     * 禁用时、分、秒部分选项
     */
    disabledHours?: boolean;
    disabledMinutes?: boolean;
    disabledSeconds?: boolean;
    /**
     * 展示时间格式
     */
    format?: string;
}
export default class TimePanel extends React.Component<IProps> {
    preCls: string;
    refTimePickerConatainer?: HTMLDivElement;
    refPanelInput?: HTMLInputElement;
    timeoutHandle?: number;
    refHourDiv: HTMLDivElement;
    refHourLi: HTMLLIElement;
    refMinuteDiv: HTMLDivElement;
    refMinuteLi: HTMLLIElement;
    refSecondDiv: HTMLDivElement;
    refSecondLi: HTMLLIElement;
    static defaultProps: {
        format: string;
    };
    onChange: (value: string) => void;
    renderSelectItem: (type: "s" | "m" | "h") => JSX.Element;
    render(): JSX.Element;
}
