import * as tslib_1 from "tslib";
import * as React from 'react';
import { RenderInRootDom } from './renderInRootDom';
import Mask from './mask';
var Dialog = /** @class */ (function (_super) {
    tslib_1.__extends(Dialog, _super);
    function Dialog() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Dialog.prototype.render = function () {
        var _a = this.props, showMask = _a.showMask, maskStyle = _a.maskStyle, zIndex = _a.zIndex, maskClick = _a.maskClick, visible = _a.visible, children = _a.children;
        var style = {
            position: 'fixed',
            left: 0,
            right: 0,
            top: 0,
            bottom: 0,
        };
        return visible ? (React.createElement(RenderInRootDom, { zIndex: zIndex },
            React.createElement("div", { style: style },
                showMask ? (React.createElement(Mask, { maskStyle: maskStyle, onClick: function () {
                        if (maskClick) {
                            maskClick();
                        }
                    } })) : null,
                children))) : null;
    };
    Dialog.defaultProps = {
        showMask: true,
    };
    return Dialog;
}(React.Component));
export default Dialog;
//# sourceMappingURL=dialog.js.map