import * as tslib_1 from "tslib";
// tslint:disable no-any
import { Component } from 'react';
import * as React from 'react';
import { contain } from '../utils/';
import { findDOMNode } from 'react-dom';
var ClickOutside = /** @class */ (function (_super) {
    tslib_1.__extends(ClickOutside, _super);
    function ClickOutside() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.clickHandle = function (e) {
            var _a = _this.props, clickOutside = _a.clickOutside, clickInside = _a.clickInside, excludes = _a.excludes;
            if (!contain(findDOMNode(_this.refChildren), e.target, excludes)) {
                clickOutside();
            }
            else {
                if (clickInside) {
                    clickInside();
                }
            }
        };
        return _this;
    }
    ClickOutside.prototype.componentDidMount = function () {
        document.body.addEventListener('click', this.clickHandle);
    };
    ClickOutside.prototype.componentWillUnmount = function () {
        document.body.removeEventListener('click', this.clickHandle);
    };
    ClickOutside.prototype.render = function () {
        var _this = this;
        var children = this.props.children;
        var child = React.Children.only(children);
        return React.cloneElement(child, {
            ref: function (v) {
                if (child.ref) {
                    child.ref(v);
                }
                if (v) {
                    _this.refChildren = v;
                }
            }
        });
    };
    return ClickOutside;
}(Component));
export { ClickOutside };
export default ClickOutside;
//# sourceMappingURL=ClickOutside.js.map