import { Component } from 'react';
import { IBaseComponent } from '../template/component';
import { BasicValue, Value } from './Select';
export interface IOptionGroupProps extends IBaseComponent {
    /**
     * 组名
     */
    label: string;
    /**
     * key
     */
    key?: string | number;
    /**
     * 激活项，由外层Select传递，开发者不需要传，否则会影响组件正常使用
     */
    active?: BasicValue;
    /**
     * context
     */
    ctx?: IContext;
}
export interface IContext {
    onChange: (value: BasicValue) => void;
    value: Value;
}
export interface IOptionGroupState {
}
/**
 * **组件中文名称**-组件描述。
 */
export declare class OptionGroup extends Component<IOptionGroupProps, IOptionGroupState> {
    static defaultProps: {};
    static displayName: string;
    render(): JSX.Element;
}
export default OptionGroup;
