import { Component } from 'react';
import { IBaseComponent, TKey } from '../template/component';
export interface IPaneProps extends IBaseComponent {
    /**
     * 选项标题
     */
    name: TKey;
    /**
     * 禁用
     */
    disabled?: boolean;
    /**
     * 激活key，由Tabs传入，开发者不应使用
     */
    active?: boolean;
}
export interface IPaneState {
}
/**
 * **组件中文名称**-组件描述。
 */
export declare class Pane extends Component<IPaneProps, IPaneState> {
    static defaultProps: {};
    render(): JSX.Element;
}
export default Pane;
