import { Component } from 'react';
import { ITransitions } from '../template/component';
export interface IScaleProps extends ITransitions {
    /**
     * 动画时间 ms
     */
    timeout?: number;
    /**
     * 激活状态
     */
    active: boolean;
    /**
     * 退出后销毁
     */
    unmountOnExit?: boolean;
}
export interface IScaleState {
}
/**
 * **组件中文名称**-组件描述。
 */
export declare class Scale extends Component<IScaleProps, IScaleState> {
    refChild: HTMLElement;
    static defaultProps: {
        timeout: number;
        mountOnEnter: boolean;
        unmountOnExit: boolean;
    };
    render(): JSX.Element;
}
export default Scale;
