import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **单选按钮**-用于从多个条件中筛选单个选项
 */
var Checkbox = /** @class */ (function (_super) {
    tslib_1.__extends(Checkbox, _super);
    function Checkbox() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onChange = function (value) {
            var _a = _this.props, onChange = _a.onChange, disabled = _a.disabled;
            if (disabled) {
                return;
            }
            if (onChange) {
                onChange(value);
            }
        };
        return _this;
    }
    Checkbox.prototype.render = function () {
        var _a, _b;
        var _c = this.props, className = _c.className, style = _c.style, value = _c.value, checked = _c.checked, disabled = _c.disabled, children = _c.children, onChange = _c.onChange, otherProps = tslib_1.__rest(_c, ["className", "style", "value", "checked", "disabled", "children", "onChange"]);
        var preCls = 'yoshino-checkbox';
        var clsName = classNames(preCls, (_a = {}, _a[preCls + "-checked"] = checked, _a), className);
        var wrapperCls = classNames(preCls + "-wrapper", (_b = {}, _b[preCls + "-disabled"] = disabled, _b));
        return (React.createElement("span", { className: wrapperCls, onClick: this.onChange.bind(this, value) },
            React.createElement("span", { className: preCls + "-box" },
                React.createElement("span", tslib_1.__assign({ className: clsName, style: style }, otherProps))),
            React.createElement("span", { className: preCls + "-text" }, children)));
    };
    Checkbox.defaultProps = {
        disabled: false,
        checked: false,
    };
    return Checkbox;
}(Component));
export { Checkbox };
export default Checkbox;
//# sourceMappingURL=Checkbox.js.map