import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **分割线**-一般用于分割段落或者内容划分
 */
var Divider = /** @class */ (function (_super) {
    tslib_1.__extends(Divider, _super);
    function Divider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Divider.prototype.render = function () {
        var _a;
        var _b = this.props, className = _b.className, style = _b.style, dashed = _b.dashed, children = _b.children, textAlign = _b.textAlign, otherProps = tslib_1.__rest(_b, ["className", "style", "dashed", "children", "textAlign"]);
        var preCls = 'yoshino-divider';
        var textCls = preCls + "-" + textAlign;
        var dashedCls = (_a = {}, _a[preCls + "-dashed"] = dashed, _a);
        var clsName = classNames(preCls, textCls, dashedCls, className);
        return (React.createElement("div", tslib_1.__assign({ className: clsName, style: tslib_1.__assign({}, style) }, otherProps), children ? (React.createElement("p", { className: preCls + "-text" }, children)) : null));
    };
    Divider.defaultProps = {
        dashed: false,
        textAlign: 'center',
    };
    return Divider;
}(Component));
export { Divider };
export default Divider;
//# sourceMappingURL=Divider.js.map