import { Component } from 'react';
import { IBaseComponent } from '../template/component';
export interface ICol {
    offset?: number;
    order?: number;
    pull?: number;
    push?: number;
    span?: number;
}
export interface IColProps extends IBaseComponent, ICol {
    xs?: number | ICol;
    sm?: number | ICol;
    md?: number | ICol;
    lg?: number | ICol;
    xl?: number | ICol;
    xxl?: number | ICol;
}
export interface IColState {
}
/**
 * **组件中文名称**-组件描述。
 */
export declare class Col extends Component<IColProps, IColState> {
    preCls: string;
    static defaultProps: {
        offset: number;
        order: number;
        pull: number;
        push: number;
    };
    getSizeCls: () => {};
    render(): JSX.Element;
}
export default Col;
