import * as tslib_1 from "tslib";
// tslint:disable no-any
import { Component } from 'react';
import * as React from 'react';
import * as classNames from 'classnames';
/**
 * **组件中文名称**-组件描述。
 */
var Row = /** @class */ (function (_super) {
    tslib_1.__extends(Row, _super);
    function Row() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.preCls = 'yoshino-row';
        return _this;
    }
    Row.prototype.render = function () {
        var _a;
        var _b = this.props, className = _b.className, style = _b.style, _c = _b.align, align = _c === void 0 ? 'top' : _c, _d = _b.gutter, gutter = _d === void 0 ? 0 : _d, _e = _b.justify, justify = _e === void 0 ? 'start' : _e, _f = _b.type, type = _f === void 0 ? '' : _f, children = _b.children, otherProps = tslib_1.__rest(_b, ["className", "style", "align", "gutter", "justify", "type", "children"]);
        var preCls = this.preCls;
        var clsName = classNames(preCls, className, (_a = {},
            _a[preCls] = !type,
            _a[preCls + "-" + type] = !!type,
            _a[preCls + "-" + type + "-" + justify] = !!type && !!justify,
            _a[preCls + "-" + type + "-" + align] = !!type && !!align,
            _a));
        var offsetStyle = gutter > 0 ? {
            marginLeft: gutter / -2,
            marginRight: gutter / -2,
        } : {};
        var colChildren = React.Children.map(children, function (child) {
            return React.cloneElement(child, {
                style: tslib_1.__assign({ paddingLeft: gutter / 2, paddingRight: gutter / 2 }, child.props.style),
            });
        });
        return (React.createElement("div", tslib_1.__assign({ className: clsName, style: tslib_1.__assign({}, offsetStyle, style) }, otherProps), colChildren));
    };
    Row.defaultProps = {
        type: '',
        gutter: 0,
        justify: 'start',
        align: 'top',
    };
    return Row;
}(Component));
export { Row };
export default Row;
//# sourceMappingURL=Row.js.map