import * as tslib_1 from "tslib";
import { Component } from 'react';
import * as classNames from 'classnames';
import * as React from 'react';
import Pop from '../Pop';
/**
 * **文字提示**-文字提示气泡框
 */
var Tooltip = /** @class */ (function (_super) {
    tslib_1.__extends(Tooltip, _super);
    function Tooltip() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.scale = 0.8;
        _this.state = {
            visible: _this.props.defaultVisible,
        };
        return _this;
    }
    Tooltip.prototype.render = function () {
        var _a = this.props, children = _a.children, title = _a.title, placement = _a.placement;
        // tslint:disable
        var child = React.Children.only(children);
        var preCls = 'yoshino-tooltip';
        var contentCls = classNames(preCls, preCls + "-" + placement);
        var content = (React.createElement("div", { className: contentCls },
            React.createElement("div", { className: preCls + "-content" }, title),
            React.createElement("div", { className: preCls + "-arrow" })));
        return (React.createElement(Pop, tslib_1.__assign({}, this.props, { content: content }), child));
    };
    Tooltip.defaultProps = {
        placement: 'top',
        mouseEnterDelay: 0,
        mouseLeaveDelay: 100,
        trigger: 'hover',
        overlayClassName: '',
        overlayStyle: {},
        defaultVisible: false,
        mountOnEnter: false,
    };
    return Tooltip;
}(Component));
export { Tooltip };
export default Tooltip;
//# sourceMappingURL=Tooltip.js.map