import { Component } from 'react';
import { ITransitions } from '../template/component';
export interface IExpandProps extends ITransitions {
    /**
     * 动画时间 ms
     */
    timeout?: number;
    /**
     * 激活状态
     */
    active: boolean;
}
export interface IExpandState {
}
/**
 * **组件中文名称**-组件描述。
 */
export declare class Expand extends Component<IExpandProps, IExpandState> {
    refContainer: HTMLElement;
    refInner: HTMLElement;
    static defaultProps: {
        timeout: number;
        mountOnEnter: boolean;
        unmountOnExit: boolean;
    };
    render(): JSX.Element;
}
export default Expand;
