export default (function (config, intervalFunc) {
    var start = config.start, end = config.end, _a = config.duration, duration = _a === void 0 ? 200 : _a, _b = config.frames, frames = _b === void 0 ? 60 : _b;
    if (start === end) {
        return;
    }
    var step = (end - start) / frames;
    var _loop_1 = function (i) {
        setTimeout(function () {
            intervalFunc(start + step * i);
        }, duration / frames * i);
    };
    for (var i = 1; i <= frames; i++) {
        _loop_1(i);
    }
});
//# sourceMappingURL=valueTransition.js.map